Subject: Re: [PATCH v3 2/2] powerpc/64: add stack protector support

From: Segher Boessenkool <[email-masked]>
Date: Wed, 26 Sep 2018 04:28:07 -0500

On Wed, Sep 26, 2018 at 09:58:30AM +0200, Christophe LEROY wrote:
> Segher, any idea about this problem ?

> >>arch/powerpc/platforms/powermac/bootx_init.o: In function `bootx_printf':
> >>/var/lib/jenkins-slave/workspace/snowpatch/snowpatch-linux-
> >>sparse/linux/arch/powerpc/platforms/powermac/bootx_init.c:88:
> >>undefined reference to `__stack_chk_fail_local'

Are you building as PIC?  Are you linking libssp_nonshared.a?  Why not?

:-)

Segher